The VMware Identity Manager Connector component requires the Java Runtime Environment (JRE).

About this task

The JRE version required for the connector is packaged with the VMware Enterprise Systems Connector installer. When you upgrade the VMware Identity Manager connector component, you are prompted to upgrade the JRE version too. For information on upgrading JRE from the installer, see Upgrading VMware Identity Manager Connector.

If you want to upgrade JRE on the Windows server at any other time, follow these steps to ensure that the VMware Identity Manager connector continues to work correctly after the JRE upgrade.

Procedure

  1. Before you upgrade JRE, make a backup of the JAVA_HOME\lib\security\cacerts file.
  2. After upgrading JRE, copy the cacerts file to the same directory for the new JRE.
  3. Edit the opt\vmware\horizon\workspace\conf\wrapper.conf file and change the set.JAVA_HOME=C:\Program Files\Java\jreVersion entry to the new JRE path.
  4. Install the JCE Unlimited Strength policy files.